Loading...
Searching...
No Matches
usermgmt::SnmpV3Settings Struct Reference

SNMPv3 settings. More...

## Public Attributes

boolean | enabled
| SNMPv3 enabled.
SnmpV3SecLevel | secLevel
| Security level.
SnmpV3AuthProto | authProtocol
| Authentication protocol.
boolean | usePasswordAsAuthPassphrase
| Use account password for SNMPv3 authentication.
boolean | haveAuthPassphrase
| Authentication passphrase present.
string | authPassphrase
| Authentication passphrase; cannot be read back.
SnmpV3PrivProto | privProtocol
| Privacy protocol.
boolean | useAuthPassphraseAsPrivPassphrase
| Use authentication passphrase as privacy passphrase.
boolean | havePrivPassphrase
| Privacy passphrase present.
string | privPassphrase
| Privacy passphrase; cannot be read back.

## Detailed Description

SNMPv3 settings.

The documentation for this struct was generated from the following file:

- User.idl